Package com.sas.metadata.remote

# Interface AnalyticColumn

All Superinterfaces:
  `CMetadata`, `MdObjectBase`, `MdObjectBaseUtil`, `MdObjectBaseXML`, `Remote`, `Root`, `SecondaryType`

public interface AnalyticColumn extends SecondaryType
Contains analytic attributes to apply to a column. These attributes include information such as upper and lower limits, and cost of acquiring a variable, level, and distribution. Used by SAS Enterprise Miner.

Attributes of AnalyticColumn are:

- `AnalyticColumnRole`
- `Level`
- `Order`
- `Family`
- `UpperLimit`
- `LowerLimit`
- `IsReport`
- `Distribution`
- `Creator`
- `Price`

Associations of AnalyticColumn are:

- `OwningColumn`
- `TargetInformation`

## Usage

To create an instance of this AnalyticColumn, use the `factory` create methods.
Example: create a AnalyticColumn with name "AnalyticColumn_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     AnalyticColumn myObject = (AnalyticColumn) factory.createComplexMetadataObject(objectStore, "AnalyticColumn_Object", MetadataObjects.ANALYTICCOLUMN, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ASSOCIATION_OWNINGCOLUMN_NAME`
  Constant used for the name of the OwningColumn association.
  `static final String`
  `ASSOCIATION_TARGETINFORMATION_NAME`
  Constant used for the name of the TargetInformation association.
  `static final String`
  `ATTRIBUTE_ANALYTICCOLUMNROLE_NAME`
  Constant used for the name of the AnalyticColumnRole attribute.
  `static final String`
  `ATTRIBUTE_CREATOR_NAME`
  Constant used for the name of the Creator attribute.
  `static final String`
  `ATTRIBUTE_DISTRIBUTION_NAME`
  Constant used for the name of the Distribution attribute.
  `static final String`
  `ATTRIBUTE_FAMILY_NAME`
  Constant used for the name of the Family attribute.
  `static final String`
  `ATTRIBUTE_ISREPORT_NAME`
  Constant used for the name of the IsReport attribute.
  `static final String`
  `ATTRIBUTE_LEVEL_NAME`
  Constant used for the name of the Level attribute.
  `static final String`
  `ATTRIBUTE_LOWERLIMIT_NAME`
  Constant used for the name of the LowerLimit attribute.
  `static final String`
  `ATTRIBUTE_ORDER_NAME`
  Constant used for the name of the Order attribute.
  `static final String`
  `ATTRIBUTE_PRICE_NAME`
  Constant used for the name of the Price attribute.
  `static final String`
  `ATTRIBUTE_UPPERLIMIT_NAME`
  Constant used for the name of the UpperLimit attribute.

  ### Fields inherited from interface com.sas.metadata.remote.MdObjectBase

  `ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.Root

  `ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAnalyticColumnRole()`
  Gets the `String` value of `AnalyticColumnRole`
  `int`
  `getAnalyticColumnRoleMaxLength()`
  Gets the maximum length of `AnalyticColumnRole`
  `int`
  `getAnalyticColumnRoleState()`
  Gets the Metadata State of `AnalyticColumnRole`
  `String`
  `getCreator()`
  Gets the `String` value of `Creator`
  `int`
  `getCreatorMaxLength()`
  Gets the maximum length of `Creator`
  `int`
  `getCreatorState()`
  Gets the Metadata State of `Creator`
  `String`
  `getDistribution()`
  Gets the `String` value of `Distribution`
  `int`
  `getDistributionMaxLength()`
  Gets the maximum length of `Distribution`
  `int`
  `getDistributionState()`
  Gets the Metadata State of `Distribution`
  `String`
  `getFamily()`
  Gets the `String` value of `Family`
  `int`
  `getFamilyMaxLength()`
  Gets the maximum length of `Family`
  `int`
  `getFamilyState()`
  Gets the Metadata State of `Family`
  `int`
  `getIsReport()`
  Gets the `int` value of `IsReport`
  `int`
  `getIsReportState()`
  Gets the Metadata State of `IsReport`
  `String`
  `getLevel()`
  Gets the `String` value of `Level`
  `int`
  `getLevelMaxLength()`
  Gets the maximum length of `Level`
  `int`
  `getLevelState()`
  Gets the Metadata State of `Level`
  `double`
  `getLowerLimit()`
  Gets the `double` value of `LowerLimit`
  `int`
  `getLowerLimitState()`
  Gets the Metadata State of `LowerLimit`
  `String`
  `getOrder()`
  Gets the `String` value of `Order`
  `int`
  `getOrderMaxLength()`
  Gets the maximum length of `Order`
  `int`
  `getOrderState()`
  Gets the Metadata State of `Order`
  `Column`
  `getOwningColumn()`
  Gets the `Column` for `OwningColumn`
  `AssociationList`
  `getOwningColumns()`
  Gets the AssociationList of `OwningColumns`
  `AssociationList`
  `getOwningColumns(boolean fGoToServer)`
  Gets the Associationlist of `OwningColumns`
  `double`
  `getPrice()`
  Gets the `double` value of `Price`
  `int`
  `getPriceState()`
  Gets the Metadata State of `Price`
  `Target`
  `getTargetInformation()`
  Gets the `Target` for `TargetInformation`
  `AssociationList`
  `getTargetInformations()`
  Gets the Association list of `TargetInformations`
  `AssociationList`
  `getTargetInformations(boolean fGoToServer)`
  Gets the Associationlist of `TargetInformations`
  `double`
  `getUpperLimit()`
  Gets the `double` value of `UpperLimit`
  `int`
  `getUpperLimitState()`
  Gets the Metadata State of `UpperLimit`
  `void`
  `initializePredObjects()`
  (S) Adds the Associated objects to the predObjects which are:
  `OwningColumn`
  `void`
  `initializeRequiredObjects()`
  (S) This initializes the Required Objects(Roles) which are:
  `OwningColumn`
  `void`
  `setAnalyticColumnRole(String inAnalyticColumnRole)`
  Sets the `AnalyticColumnRole` value and sets the state to MetadataState.LOCAL.
  `void`
  `setAnalyticColumnRole(String inAnalyticColumnRole, int state)`
  Sets the `AnalyticColumnRole` Metadata State.
  `void`
  `setAnalyticColumnRoleState(int state)`
  Sets the Metadata State of `AnalyticColumnRole`.
  `void`
  `setCreator(String inCreator)`
  Sets the `Creator` value and sets the state to MetadataState.LOCAL.
  `void`
  `setCreator(String inCreator, int state)`
  Sets the `Creator` Metadata State.
  `void`
  `setCreatorState(int state)`
  Sets the Metadata State of `Creator`.
  `void`
  `setDistribution(String inDistribution)`
  Sets the `Distribution` value and sets the state to MetadataState.LOCAL.
  `void`
  `setDistribution(String inDistribution, int state)`
  Sets the `Distribution` Metadata State.
  `void`
  `setDistributionState(int state)`
  Sets the Metadata State of `Distribution`.
  `void`
  `setFamily(String inFamily)`
  Sets the `Family` value and sets the state to MetadataState.LOCAL.
  `void`
  `setFamily(String inFamily, int state)`
  Sets the `Family` Metadata State.
  `void`
  `setFamilyState(int state)`
  Sets the Metadata State of `Family`.
  `void`
  `setIsReport(int inIsReport)`
  Sets the `IsReport` value and sets the state to MetadataState.LOCAL.
  `void`
  `setIsReport(int inIsReport, int state)`
  Sets the `IsReport` Metadata State.
  `void`
  `setIsReport(String inIsReport)`
  Sets the `IsReport` value and sets the state to MetadataState.LOCAL.
  `void`
  `setIsReport(String inIsReport, int state)`
  Sets the `IsReport` value and Metadata State.
  `void`
  `setIsReportState(int state)`
  Sets the Metadata State of `IsReport`.
  `void`
  `setLevel(String inLevel)`
  Sets the `Level` value and sets the state to MetadataState.LOCAL.
  `void`
  `setLevel(String inLevel, int state)`
  Sets the `Level` Metadata State.
  `void`
  `setLevelState(int state)`
  Sets the Metadata State of `Level`.
  `void`
  `setLowerLimit(double inLowerLimit)`
  Sets the `LowerLimit` value and sets the state to MetadataState.LOCAL.
  `void`
  `setLowerLimit(double inLowerLimit, int state)`
  Sets the `LowerLimit` Metadata State.
  `void`
  `setLowerLimit(String inLowerLimit)`
  Sets the `LowerLimit` value and sets the state to MetadataState.LOCAL
  `void`
  `setLowerLimit(String inLowerLimit, int state)`
  Sets the `LowerLimit` value and Metadata State.
  `void`
  `setLowerLimitState(int state)`
  Sets the Metadata State of `LowerLimit`.
  `void`
  `setOrder(String inOrder)`
  Sets the `Order` value and sets the state to MetadataState.LOCAL.
  `void`
  `setOrder(String inOrder, int state)`
  Sets the `Order` Metadata State.
  `void`
  `setOrderState(int state)`
  Sets the Metadata State of `Order`.
  `void`
  `setOwningColumn(Column inObject)`
  Sets the `OwningColumns` list 0th element to be `inObject`.
  `void`
  `setOwningColumns(AssociationList list)`
  Sets the `OwningColumns` list to be `list`.
  `void`
  `setOwningColumns(AssociationList list, int state)`
  Sets the `OwningColumns` list to be `list`.
  `void`
  `setPrice(double inPrice)`
  Sets the `Price` value and sets the state to MetadataState.LOCAL.
  `void`
  `setPrice(double inPrice, int state)`
  Sets the `Price` Metadata State.
  `void`
  `setPrice(String inPrice)`
  Sets the `Price` value and sets the state to MetadataState.LOCAL
  `void`
  `setPrice(String inPrice, int state)`
  Sets the `Price` value and Metadata State.
  `void`
  `setPriceState(int state)`
  Sets the Metadata State of `Price`.
  `void`
  `setTargetInformation(Target inObject)`
  Sets the `TargetInformations` list 0th element to be `inObject`.
  `void`
  `setTargetInformations(AssociationList list)`
  Sets the `TargetInformations` list to be `list`.
  `void`
  `setTargetInformations(AssociationList list, int state)`
  Sets the `TargetInformations` list to be `list`.
  `void`
  `setUpperLimit(double inUpperLimit)`
  Sets the `UpperLimit` value and sets the state to MetadataState.LOCAL.
  `void`
  `setUpperLimit(double inUpperLimit, int state)`
  Sets the `UpperLimit` Metadata State.
  `void`
  `setUpperLimit(String inUpperLimit)`
  Sets the `UpperLimit` value and sets the state to MetadataState.LOCAL
  `void`
  `setUpperLimit(String inUpperLimit, int state)`
  Sets the `UpperLimit` value and Metadata State.
  `void`
  `setUpperLimitState(int state)`
  Sets the Metadata State of `UpperLimit`.

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBase

  `addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil

  `addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getAuthorizationUtil, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML

  `closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

  ### Methods inherited from interface com.sas.metadata.remote.Root

  `getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

- ## Field Details

  - ### ATTRIBUTE_ANALYTICCOLUMNROLE_NAME

    static final String ATTRIBUTE_ANALYTICCOLUMNROLE_NAME
    Constant used for the name of the AnalyticColumnRole attribute.

    AnalyticColumnRole: The function of this analytic column. For example: Input or Target.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_LEVEL_NAME

    static final String ATTRIBUTE_LEVEL_NAME
    Constant used for the name of the Level attribute.

    Level: Binary, Interval, Nominal, Ordinal, Unary

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_ORDER_NAME

    static final String ATTRIBUTE_ORDER_NAME
    Constant used for the name of the Order attribute.

    Order: Logical order of the column. such as Ascending, Descending, Formatted Ascending, Formatted Descending

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_FAMILY_NAME

    static final String ATTRIBUTE_FAMILY_NAME
    Constant used for the name of the Family attribute.

    Family: Used to group variables. such as Demographic, Economic.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_UPPERLIMIT_NAME

    static final String ATTRIBUTE_UPPERLIMIT_NAME
    Constant used for the name of the UpperLimit attribute.

    UpperLimit: UpperLimit

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_LOWERLIMIT_NAME

    static final String ATTRIBUTE_LOWERLIMIT_NAME
    Constant used for the name of the LowerLimit attribute.

    LowerLimit: LowerLimit

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_ISREPORT_NAME

    static final String ATTRIBUTE_ISREPORT_NAME
    Constant used for the name of the IsReport attribute.

    IsReport: Create a report based on this variable.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_DISTRIBUTION_NAME

    static final String ATTRIBUTE_DISTRIBUTION_NAME
    Constant used for the name of the Distribution attribute.

    Distribution: Periodic, Linear, Normal, Multinominal

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_CREATOR_NAME

    static final String ATTRIBUTE_CREATOR_NAME
    Constant used for the name of the Creator attribute.

    Creator: Id of node in a mining flow that created this node.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_PRICE_NAME

    static final String ATTRIBUTE_PRICE_NAME
    Constant used for the name of the Price attribute.

    Price: The cost of acquiring a variable.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_OWNINGCOLUMN_NAME

    static final String ASSOCIATION_OWNINGCOLUMN_NAME
    Constant used for the name of the OwningColumn association.

    OwningColumn: The column associated with these analytic attributes.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_TARGETINFORMATION_NAME

    static final String ASSOCIATION_TARGETINFORMATION_NAME
    Constant used for the name of the TargetInformation association.

    TargetInformation: The target information for this column.

    See Also:
      - Constant Field Values

- ## Method Details

  - ### initializeRequiredObjects

    void initializeRequiredObjects() throws RemoteException
    (S) This initializes the Required Objects(Roles) which are:
    `OwningColumn`
    Specified by:
      `initializeRequiredObjects` in interface `MdObjectBaseUtil`
    Specified by:
      `initializeRequiredObjects` in interface `Root`
    Specified by:
      `initializeRequiredObjects` in interface `SecondaryType`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### initializePredObjects

    void initializePredObjects() throws RemoteException
    (S) Adds the Associated objects to the predObjects which are:
    `OwningColumn`
    Specified by:
      `initializePredObjects` in interface `MdObjectBase`
    Specified by:
      `initializePredObjects` in interface `Root`
    Specified by:
      `initializePredObjects` in interface `SecondaryType`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getAnalyticColumnRole

    String getAnalyticColumnRole() throws RemoteException
    Gets the `String` value of `AnalyticColumnRole`
    Returns:
      The `AnalyticColumnRole`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getAnalyticColumnRoleState

    int getAnalyticColumnRoleState() throws RemoteException
    Gets the Metadata State of `AnalyticColumnRole`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getAnalyticColumnRoleMaxLength

    int getAnalyticColumnRoleMaxLength() throws RemoteException
    Gets the maximum length of `AnalyticColumnRole`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getLevel

    String getLevel() throws RemoteException
    Gets the `String` value of `Level`
    Returns:
      The `Level`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getLevelState

    int getLevelState() throws RemoteException
    Gets the Metadata State of `Level`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getLevelMaxLength

    int getLevelMaxLength() throws RemoteException
    Gets the maximum length of `Level`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getOrder

    String getOrder() throws RemoteException
    Gets the `String` value of `Order`
    Returns:
      The `Order`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getOrderState

    int getOrderState() throws RemoteException
    Gets the Metadata State of `Order`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getOrderMaxLength

    int getOrderMaxLength() throws RemoteException
    Gets the maximum length of `Order`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getFamily

    String getFamily() throws RemoteException
    Gets the `String` value of `Family`
    Returns:
      The `Family`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getFamilyState

    int getFamilyState() throws RemoteException
    Gets the Metadata State of `Family`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getFamilyMaxLength

    int getFamilyMaxLength() throws RemoteException
    Gets the maximum length of `Family`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getUpperLimit

    double getUpperLimit() throws RemoteException
    Gets the `double` value of `UpperLimit`
    Returns:
      The `UpperLimit`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getUpperLimitState

    int getUpperLimitState() throws RemoteException
    Gets the Metadata State of `UpperLimit`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getLowerLimit

    double getLowerLimit() throws RemoteException
    Gets the `double` value of `LowerLimit`
    Returns:
      The `LowerLimit`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getLowerLimitState

    int getLowerLimitState() throws RemoteException
    Gets the Metadata State of `LowerLimit`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getIsReport

    int getIsReport() throws RemoteException
    Gets the `int` value of `IsReport`
    Returns:
      The `IsReport`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getIsReportState

    int getIsReportState() throws RemoteException
    Gets the Metadata State of `IsReport`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getDistribution

    String getDistribution() throws RemoteException
    Gets the `String` value of `Distribution`
    Returns:
      The `Distribution`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getDistributionState

    int getDistributionState() throws RemoteException
    Gets the Metadata State of `Distribution`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getDistributionMaxLength

    int getDistributionMaxLength() throws RemoteException
    Gets the maximum length of `Distribution`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getCreator

    String getCreator() throws RemoteException
    Gets the `String` value of `Creator`
    Returns:
      The `Creator`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getCreatorState

    int getCreatorState() throws RemoteException
    Gets the Metadata State of `Creator`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getCreatorMaxLength

    int getCreatorMaxLength() throws RemoteException
    Gets the maximum length of `Creator`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getPrice

    double getPrice() throws RemoteException
    Gets the `double` value of `Price`
    Returns:
      The `Price`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getPriceState

    int getPriceState() throws RemoteException
    Gets the Metadata State of `Price`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getOwningColumns

    AssociationList getOwningColumns() throws RemoteException, MdException
    Gets the AssociationList of `OwningColumns`
    Returns:
      Returns the AssociationList of `OwningColumns` which can be of type:
      Column
      ColumnRange
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException`

  - ### getOwningColumn

    Column getOwningColumn() throws RemoteException, MdException
    Gets the `Column` for `OwningColumn`
    Returns:
      The `Column` ( `null` if not set) of `OwningColumn`which can be of type:
      Column
      ColumnRange
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getTargetInformations

    AssociationList getTargetInformations() throws RemoteException, MdException
    Gets the Association list of `TargetInformations`
    Returns:
      The AssociationList of `TargetInformations` which can be of type:
      Target
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getTargetInformation

    Target getTargetInformation() throws RemoteException, MdException
    Gets the `Target` for `TargetInformation`
    Returns:
      The `Target` ( `null` if not set ) of `TargetInformation` which can be of type:
      Target
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getOwningColumns

    AssociationList getOwningColumns(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `OwningColumns`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the AssociationList of `OwningColumns` which can be of type:
      Column
      ColumnRange
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getTargetInformations

    AssociationList getTargetInformations(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `TargetInformations`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `TargetInformations` which can be of type:
      Target
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### setAnalyticColumnRole

    void setAnalyticColumnRole(String inAnalyticColumnRole) throws RemoteException
    Sets the `AnalyticColumnRole` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inAnalyticColumnRole` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAnalyticColumnRole

    void setAnalyticColumnRole(String inAnalyticColumnRole, int state) throws RemoteException
    Sets the `AnalyticColumnRole` Metadata State.
    Parameters:
      `inAnalyticColumnRole` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAnalyticColumnRoleState

    void setAnalyticColumnRoleState(int state) throws RemoteException
    Sets the Metadata State of `AnalyticColumnRole`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setLevel

    void setLevel(String inLevel) throws RemoteException
    Sets the `Level` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inLevel` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setLevel

    void setLevel(String inLevel, int state) throws RemoteException
    Sets the `Level` Metadata State.
    Parameters:
      `inLevel` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setLevelState

    void setLevelState(int state) throws RemoteException
    Sets the Metadata State of `Level`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setOrder

    void setOrder(String inOrder) throws RemoteException
    Sets the `Order` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inOrder` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setOrder

    void setOrder(String inOrder, int state) throws RemoteException
    Sets the `Order` Metadata State.
    Parameters:
      `inOrder` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setOrderState

    void setOrderState(int state) throws RemoteException
    Sets the Metadata State of `Order`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setFamily

    void setFamily(String inFamily) throws RemoteException
    Sets the `Family` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inFamily` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setFamily

    void setFamily(String inFamily, int state) throws RemoteException
    Sets the `Family` Metadata State.
    Parameters:
      `inFamily` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setFamilyState

    void setFamilyState(int state) throws RemoteException
    Sets the Metadata State of `Family`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setUpperLimit

    void setUpperLimit(double inUpperLimit) throws RemoteException
    Sets the `UpperLimit` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inUpperLimit` - double
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setUpperLimit

    void setUpperLimit(double inUpperLimit, int state) throws RemoteException
    Sets the `UpperLimit` Metadata State.
    Parameters:
      `inUpperLimit` - double
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setUpperLimit

    void setUpperLimit(String inUpperLimit) throws RemoteException
    Sets the `UpperLimit` value and sets the state to MetadataState.LOCAL
    Parameters:
      `inUpperLimit` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setUpperLimit

    void setUpperLimit(String inUpperLimit, int state) throws RemoteException
    Sets the `UpperLimit` value and Metadata State.
    Parameters:
      `inUpperLimit` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setUpperLimitState

    void setUpperLimitState(int state) throws RemoteException
    Sets the Metadata State of `UpperLimit`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setLowerLimit

    void setLowerLimit(double inLowerLimit) throws RemoteException
    Sets the `LowerLimit` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inLowerLimit` - double
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setLowerLimit

    void setLowerLimit(double inLowerLimit, int state) throws RemoteException
    Sets the `LowerLimit` Metadata State.
    Parameters:
      `inLowerLimit` - double
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setLowerLimit

    void setLowerLimit(String inLowerLimit) throws RemoteException
    Sets the `LowerLimit` value and sets the state to MetadataState.LOCAL
    Parameters:
      `inLowerLimit` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setLowerLimit

    void setLowerLimit(String inLowerLimit, int state) throws RemoteException
    Sets the `LowerLimit` value and Metadata State.
    Parameters:
      `inLowerLimit` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setLowerLimitState

    void setLowerLimitState(int state) throws RemoteException
    Sets the Metadata State of `LowerLimit`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsReport

    void setIsReport(int inIsReport) throws RemoteException
    Sets the `IsReport` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inIsReport` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsReport

    void setIsReport(int inIsReport, int state) throws RemoteException
    Sets the `IsReport` Metadata State.
    Parameters:
      `inIsReport` - int
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsReport

    void setIsReport(String inIsReport) throws RemoteException
    Sets the `IsReport` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inIsReport` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsReport

    void setIsReport(String inIsReport, int state) throws RemoteException
    Sets the `IsReport` value and Metadata State.
    Parameters:
      `inIsReport` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsReportState

    void setIsReportState(int state) throws RemoteException
    Sets the Metadata State of `IsReport`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setDistribution

    void setDistribution(String inDistribution) throws RemoteException
    Sets the `Distribution` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inDistribution` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setDistribution

    void setDistribution(String inDistribution, int state) throws RemoteException
    Sets the `Distribution` Metadata State.
    Parameters:
      `inDistribution` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setDistributionState

    void setDistributionState(int state) throws RemoteException
    Sets the Metadata State of `Distribution`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setCreator

    void setCreator(String inCreator) throws RemoteException
    Sets the `Creator` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inCreator` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setCreator

    void setCreator(String inCreator, int state) throws RemoteException
    Sets the `Creator` Metadata State.
    Parameters:
      `inCreator` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setCreatorState

    void setCreatorState(int state) throws RemoteException
    Sets the Metadata State of `Creator`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setPrice

    void setPrice(double inPrice) throws RemoteException
    Sets the `Price` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inPrice` - double
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setPrice

    void setPrice(double inPrice, int state) throws RemoteException
    Sets the `Price` Metadata State.
    Parameters:
      `inPrice` - double
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setPrice

    void setPrice(String inPrice) throws RemoteException
    Sets the `Price` value and sets the state to MetadataState.LOCAL
    Parameters:
      `inPrice` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setPrice

    void setPrice(String inPrice, int state) throws RemoteException
    Sets the `Price` value and Metadata State.
    Parameters:
      `inPrice` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setPriceState

    void setPriceState(int state) throws RemoteException
    Sets the Metadata State of `Price`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setOwningColumns

    void setOwningColumns(AssociationList list) throws RemoteException
    Sets the `OwningColumns` list to be `list`. Object of which can be of type:
    Column
    ColumnRange
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setOwningColumns

    void setOwningColumns(AssociationList list, int state) throws RemoteException
    Sets the `OwningColumns` list to be `list`. Object of which can be of type:
    Column
    ColumnRange
    Parameters:
      `list` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setOwningColumn

    void setOwningColumn(Column inObject) throws RemoteException
    Sets the `OwningColumns` list 0th element to be `inObject`.
    Parameters:
      `inObject` - Column
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTargetInformations

    void setTargetInformations(AssociationList list) throws RemoteException
    Sets the `TargetInformations` list to be `list`. Objects of which can be of type:
    Target
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTargetInformations

    void setTargetInformations(AssociationList list, int state) throws RemoteException
    Sets the `TargetInformations` list to be `list`. Objects of which can be of type:
    Target
    Parameters:
      `list` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTargetInformation

    void setTargetInformation(Target inObject) throws RemoteException
    Sets the `TargetInformations` list 0th element to be `inObject`.
    Parameters:
      `inObject` - Target
    Throws:
      `RemoteException` - If error communicating with remote object.